Bug 1035991 - (CVE-2013-6411) CVE-2013-6411 openttd: DoS using forcefully crashed aircrafts
CVE-2013-6411 openttd: DoS using forcefully crashed aircrafts
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131128,reported=2...
: Security
Depends On: 1035992
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-29 01:42 EST by Ratul Gupta
Modified: 2015-07-31 03:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: openttd 1.3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 06:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-11-29 01:42:19 EST
OpenTTD, a transportation business simulation game, is found to have a missing validation that allows remote attackers to cause a denial of service (crash) by forcefully crashing aircraft near the corner of the map. This triggers a corner case where data outside of the allocated map array is accessed.

The issue is said to be fixed in OpenTTD 1.3.3.

References:
http://seclists.org/oss-sec/2013/q4/372
http://bugs.openttd.org/task/5820
Comment 1 Ratul Gupta 2013-11-29 01:44:08 EST
Created openttd tracking bugs for this issue:

Affects: fedora-all [bug 1035992]
Comment 2 Fedora Update System 2013-12-23 22:36:32 EST
openttd-1.3.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-12-23 22:37:24 EST
openttd-1.3.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-12-23 22:40:50 EST
openttd-1.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.